### Class

# Gtk FileLauncher

since: 4.10

#### Description [src]

    final class Gtk.FileLauncher : GObject.Object
    {
      /* No available fields */
    }

A `GtkFileLauncher` object collects the arguments that are needed to open a file with an application.

Depending on system configuration, user preferences and available APIs, this may or may not show an app chooser dialog or launch the default application right away.

The operation is started with the `gtk_file_launcher_launch()` function. This API follows the GIO async pattern, and the result can be obtained by calling `gtk_file_launcher_launch_finish()`.

To launch uris that don’t represent files, use `GtkUriLauncher`.

Available since: 4.10

#### Ancestors

- GObject

#### Constructors

###### gtk_file_launcher_new

Creates a new `GtkFileLauncher` object.

since: 4.10

#### Instance methods

###### gtk_file_launcher_get_always_ask

Returns whether to ask the user to choose an app for opening the file.

since: 4.12

###### gtk_file_launcher_get_file

Gets the file that will be opened.

since: 4.10

###### gtk_file_launcher_get_writable

Returns whether to make the file writable for the handler.

since: 4.14

###### gtk_file_launcher_launch

Launch an application to open the file.

since: 4.10

###### gtk_file_launcher_launch_finish

Finishes the `gtk_file_launcher_launch()` call and returns the result.

since: 4.10

###### gtk_file_launcher_open_containing_folder

Launch a file manager to show the file in its parent directory.

since: 4.10

###### gtk_file_launcher_open_containing_folder_finish

Finishes the `gtk_file_launcher_open_containing_folder()` call and returns the result.

since: 4.10

###### gtk_file_launcher_set_always_ask

Sets whether to awlays ask the user to choose an app for opening the file. If `FALSE`, the file might be opened with a default app or the previous choice.

since: 4.12

###### gtk_file_launcher_set_file

Sets the file that will be opened.

since: 4.10

###### gtk_file_launcher_set_writable

Sets whether to make the file writable for the handler.

since: 4.14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.FileLauncher:always-ask

Whether to ask the user to choose an app for opening the file. If `FALSE`, the file might be opened with a default app or the previous choice.

since: 4.12

###### Gtk.FileLauncher:file

The file to launch.

since: 4.10

###### Gtk.FileLauncher:writable

Whether to make the file writable for the handler.

since: 4.14

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkFileLauncherClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.